Subject: Re: Missing patch for MPC5200B register definitions?

From: Matt Sealey <[email-masked]>
Date: Fri, 28 Mar 2008 12:36:54 +0000

Grant Likely wrote:
> On Wed, Mar 26, 2008 at 10:15 AM, Matt Sealey <[email-masked]> wrote:
>> I've just been looking into the MPC5200B AC97 driver breakage with the
>>  latest Git kernel, and found the following patch;
>>
>>  http://ozlabs.org/pipermail/linuxppc-dev/2007-May/035952.html
>>
>>  Is not in the latest tree. As such anything which uses the new MPC5200B
>>  registers (especially important on AC97 and probably not used otherwise)
>>  has not or was not applied.
>>
>>  Since the latest kernel source from git actually includes the MPC5121E
>>  differences, I assume this is a regression?
>>
>>  How do we go about fixing this?
> 
> Write a patch to apply that change in arch/powerpc and post it to the
> list.  If it looks good, I'll pick it up.

I'll make one now. The AC97 driver needs it anyway, later, plus some
definitions are missing for PSC control.. also only used by the AC97
driver for now, but still probably quite important (or just hardcoded
elsewhere).

> BTW, did you figure out if the AC97 driver is being picked up by the
> ALSA maintainers?

We just worked around a crash bug (somehow..) but now we get no audio.
I'm not going to submit it to them until we can actually get sound
out of the damn thing..

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations